INCLUDES = $(all_includes) -I../../core -I../../kmfwidgets -I../../libkmfplugins
METASOURCES = AUTO
kde_module_LTLIBRARIES =  libkmfcompiler_ipt.la
libkmfcompiler_ipt_la_LDFLAGS = -module -no-undefined $(KDE_PLUGIN) \
	$(all_libraries) $(LIB_TQT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO)
libkmfcompiler_ipt_la_SOURCES = kmfiptablescompiler.cpp kmfiptablesscriptgenerator.cpp kmfiptablesdocumentconverter.cpp
libkmfcompiler_ipt_la_LIBADD = \
	$(LIB_TDEPARTS) ../../kmfwidgets/libkmfwidgets.la ../../core/libkmfcore.la 

partdesktopdir = $(kde_servicesdir)
partdesktop_DATA = kmfcompiler_ipt.desktop

pluginsdir = $(kde_datadir)/kmyfirewall/kpartplugins
plugins_DATA = kmfiptablescompiler.rc
noinst_HEADERS =  kmfiptablesscriptgenerator.h kmfiptablesdocumentconverter.h
